### Method

# Gtk.Widget.translate_coordinates

#### Declaration [src]

    gboolean
    gtk_widget_translate_coordinates (
      GtkWidget* src_widget,
      GtkWidget* dest_widget,
      double src_x,
      double src_y,
      double* dest_x,
      double* dest_y
    )

#### Description [src]

Translate coordinates relative to `src_widget`’s allocation to coordinates relative to `dest_widget`’s allocations.

In order to perform this operation, both widget must share a common ancestor.

#### Parameters

`dest_widget` | `GtkWidget`
| a `GtkWidget`
| Ownership is not transferred to the callee
`src_x` | `double`
| X position relative to `src_widget`
`src_y` | `double`
| Y position relative to `src_widget`
`dest_x` | `double*`
| location to store X position relative to `dest_widget`
| Direction: out
| Ownership of the data is transferred to the callee
`dest_y` | `double*`
| location to store Y position relative to `dest_widget`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`FALSE` if `src_widget` and `dest_widget` have no common ancestor. In this case, 0 is stored in `dest_x` and `dest_y`. Otherwise `TRUE`.